package com.couplet.auth;

import com.couplet.common.security.annotation.EnableMyFeignClients;
import org.springframework.boot.SpringApplication;
import org.springframework.boot.autoconfigure.SpringBootApplication;
import org.springframework.boot.autoconfigure.jdbc.DataSourceAutoConfiguration;
import org.springframework.context.annotation.ComponentScan;

/**
 * 认证授权中心
 *
 * @author couplet
 */
@EnableMyFeignClients
@SpringBootApplication(exclude = {DataSourceAutoConfiguration.class})
@ComponentScan(basePackages = {"com.couplet"})
public class CoupletAuthApplication {
    public static void main (String[] args) {
        SpringApplication.run(CoupletAuthApplication.class, args);
    }
}
