package com.couplet.remote.factory;

import com.couplet.common.core.domain.Result;
import com.couplet.common.domain.CoupletTroubleCode;
import com.couplet.remote.RemoteRealTimeService;
import org.springframework.cloud.openfeign.FallbackFactory;
import org.springframework.stereotype.Component;

/**
 * @Author: LiJiaYao
 * @Date: 2024/4/8
 * @Description:
 */
@Component
public class RemoteRealTimeFallbackFactory implements FallbackFactory<RemoteRealTimeService> {

    @Override
    public RemoteRealTimeService create(Throwable cause) {
        return null;
    }
}
