//package com.couplet.analyze.msg.consumer;
//
//import com.couplet.common.core.text.Convert;
//import com.couplet.common.redis.service.RedisService;
//import com.rabbitmq.client.Channel;
//import lombok.extern.log4j.Log4j2;
//import org.springframework.amqp.core.Message;
//import org.springframework.amqp.rabbit.annotation.RabbitHandler;
//import org.springframework.amqp.rabbit.annotation.RabbitListener;
//import org.springframework.beans.factory.annotation.Autowired;
//import org.springframework.data.redis.core.BoundSetOperations;
//import org.springframework.stereotype.Component;
//
//import java.io.IOException;
//import java.util.HashSet;
//import java.util.List;
//import java.util.concurrent.TimeUnit;
//
///**
// * @Author: LiJiaYao
// * @Date: 2024/4/4
// * @Description:
// */
//@Log4j2
//@Component
//@RabbitListener(queues = "vehicleQueue")
//public class VehicleConsumer {
//    @Autowired
//    private RedisService redisService;
//    @RabbitHandler
//    public void vehicleConsumer(String vehicleAndLogo, Channel channel, Message message) throws IOException {
//        log.info("车辆消息进入队列，传入的数据是:[{}]", vehicleAndLogo);
//        String messageId = message.getMessageProperties().getMessageId();
//        long deliveryTag = message.getMessageProperties().getDeliveryTag();
//        if (!redisService.hasKey("车辆消息不丢失:" + messageId)) {
//            redisService.setCacheObject("车辆消息不丢失:" + messageId, "" + deliveryTag);
//        }
//        HashSet<String> objects = new HashSet<>();
//        objects.add(messageId);
//        BoundSetOperations<String, String> set = redisService.setCacheSet("车辆信息消息不重复:" + messageId, objects);
//        redisService.expire("车辆信息消息不重复:" + messageId, 5, TimeUnit.MINUTES);
//        try {
//            if (set != null) {
////                String key = Convert.toStr(id);
//
//                String key = "id";
//                redisService.setCacheObject(key, vehicleAndLogo);
//                redisService.expire(key, 10, TimeUnit.MINUTES);
//                //判断车辆是否有实时数据,如果没有则删除数据
//                channel.basicAck(deliveryTag, false);
//            } else {
//                log.error("车辆消息不能重复消费:[{}]", vehicleAndLogo);
//                channel.basicReject(deliveryTag, false);
//            }
//        } catch (IOException e) {
//            log.error("车辆消息未进入队列,传入的信息是:【{}】", vehicleAndLogo);
//            String s = redisService.getCacheObject("车辆消息不丢失:" + messageId);
//            Long o = Long.valueOf(s);
//            if (deliveryTag == o + 2) {
//                log.error("车辆消息已丢失,无法传入的信息是:【{}】", vehicleAndLogo);
//                channel.basicNack(deliveryTag, false, false);
//            } else {
//                log.error("车辆消息已丢失,已再次传入的信息是:【{}】", vehicleAndLogo);
//                channel.basicNack(deliveryTag, true, false);
//            }
//        }
//    }
//}
