package com.couplet.analyze.msg.service.impl.ElectronicFence;

import com.alibaba.fastjson.JSON;
import com.couplet.common.domain.Fence;
import lombok.extern.log4j.Log4j2;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.data.redis.core.StringRedisTemplate;
import org.springframework.stereotype.Component;

import java.util.ArrayList;
import java.util.List;

/**
 * @Author: LiJiaYao
 * @Date: 2024/4/6
 * @Description:
 */
@Component
@Log4j2
public class ElectronicFenceJuge {

    @Autowired
    public static  StringRedisTemplate redisTemplate;
    public static boolean isJudge() {
        String fenceKey="fence";
        if (redisTemplate.hasKey(fenceKey)) {

            ArrayList<Fence> fences = new ArrayList<>();
            List<String> fence = redisTemplate.opsForList().range(fenceKey, 0, -1);
            for (String s : fence) {
                Fence parseObject = JSON.parseObject(s, Fence.class);
                fences.add(parseObject);
            }
            log.info("更改的电子围栏内容是:"+fence);
        }
        return true;
    }


}
