package com.couplet.business.server.mapper;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.couplet.common.domain.Fence;
import com.couplet.common.domain.request.FenceAndLogeRequest;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

import java.util.List;

/**
 * @Author: LiJiaYao
 * @Date: 2024/3/28
 */
@Mapper
public interface FenAndLogoMapper extends BaseMapper<Fence> {


    /**
     * 批量新增
     * @param fenceId
     * @param logoIds
     */
    void addBach(@Param("fenceId") Integer fenceId, @Param("logoIds") String[] logoIds);

    /**
     *
     * @param aLong
     */
    List<Fence> queryByFenceAndLogoIds(FenceAndLogeRequest aLong);

    List<Fence> findFencesByLogoId(@Param("logoId") Long logoId);
}
