//package com.couplet.analyze.msg.consumer;
//
//import com.alibaba.fastjson.JSONObject;
//import com.couplet.analyze.msg.domain.CoupletMsgData;
//import com.couplet.analyze.msg.utils.MsgUtils;
//import com.couplet.common.domain.CoupletTroubleCode;
//import com.couplet.common.redis.service.RedisService;
//import com.couplet.remote.RemoteTroubleService;
//import com.rabbitmq.client.Channel;
//import lombok.extern.slf4j.Slf4j;
//import org.springframework.amqp.rabbit.annotation.Queue;
//import org.springframework.amqp.rabbit.annotation.RabbitListener;
//import org.springframework.beans.factory.annotation.Autowired;
//import org.springframework.data.redis.core.RedisTemplate;
//import org.springframework.amqp.core.Message;
//import org.springframework.stereotype.Component;
//
//import java.util.Date;
//import java.util.concurrent.CompletableFuture;
//
///**
// * @author DongXiaoDong
// * @version 1.0
// * @date 2024/4/6 15:37
// * @description
// */
//@Component
//@Slf4j
//public class CodeConsumer {
////    @Autowired
////    private RedisTemplate<String, String> redisTemplate;
//
//    @Autowired
//    private RedisService redisService;
//    @Autowired
//    private RemoteTroubleService remoteTroubleService;
//
//    @RabbitListener(queuesToDeclare = {@Queue("couplet-code-queue")})
//    public void sendLogQueueConsumer(Message message, CoupletMsgData msgData, Channel channel) {
//        log.info("日志队列：{}，接收到的消息：{}，开始消费...","couplet-code-queue", JSONObject.toJSONString(msgData));
//        long start = System.currentTimeMillis();
//
//        String messageId = message.getMessageProperties().getMessageId();
//
//        try {
//            boolean addToSetIfNotExists = redisService.addToSetIfNotExists("couplet-code-queue", messageId);
//            if (addToSetIfNotExists) {
//                //异步保存记录
//                CompletableFuture.runAsync(() -> {
//                    CoupletTroubleCode troubleCode = new CoupletTroubleCode();
//                    troubleCode.setTroubleStartTime(new Date());
//                    troubleCode.setTroubleVin(msgData.getVin());
//                    // 随机生成故障码
//                    String faultCode = MsgUtils.generateGTA();
//                    troubleCode.setTroubleCode(faultCode);
//
//                    switch (msgData.getVehicleStatus()) {
//                        case 0:
//                            troubleCode.setTroublePosition("190");
//                            troubleCode.setProcessingState(0);
//                            break;
//                        default:
//                            switch (msgData.getChargingStatus()) {
//                                case 0:
//                                    troubleCode.setTroublePosition("191");
//                                    troubleCode.setProcessingState(0);
//                                    break;
//                                default:
//                                    switch (msgData.getOperatingStatus()) {
//                                        case 0:
//                                            troubleCode.setTroublePosition("192");
//                                            troubleCode.setProcessingState(0);
//                                            break;
//                                        default:
//                                            switch (msgData.getSocStatus()) {
//                                                case 0:
//                                                    troubleCode.setTroublePosition("193");
//                                                    troubleCode.setProcessingState(0);
//                                                    break;
//                                                default:
//                                                    switch (msgData.getChargingEnergyStorageStatus()) {
//                                                        case 0:
//                                                            troubleCode.setTroublePosition("194");
//                                                            troubleCode.setProcessingState(0);
//                                                            break;
//                                                        default:
//                                                            switch (msgData.getDriveMotorStatus()) {
//                                                                case 0:
//                                                                    troubleCode.setTroublePosition("195");
//                                                                    troubleCode.setProcessingState(0);
//                                                                    break;
//                                                                default:
//                                                                    switch (msgData.getPositionStatus()) {
//                                                                        case 0:
//                                                                            troubleCode.setTroublePosition("196");
//                                                                            troubleCode.setProcessingState(0);
//                                                                            break;
//                                                                        default:
//                                                                            switch (msgData.getEasStatus()) {
//                                                                                case 0:
//                                                                                    troubleCode.setTroublePosition("197");
//                                                                                    troubleCode.setProcessingState(0);
//                                                                                    break;
//                                                                                default:
//                                                                                    switch (msgData.getPtcStatus()) {
//                                                                                        case 0:
//                                                                                            troubleCode.setTroublePosition("198");
//                                                                                            troubleCode.setProcessingState(0);
//                                                                                            break;
//                                                                                        default:
//                                                                                            switch (msgData.getEpsStatus()) {
//                                                                                                case 0:
//                                                                                                    troubleCode.setTroublePosition("199");
//                                                                                                    troubleCode.setProcessingState(0);
//                                                                                                    break;
//                                                                                                default:
//                                                                                                    switch (msgData.getAbsStatus()) {
//                                                                                                        case 0:
//                                                                                                            troubleCode.setTroublePosition("200");
//                                                                                                            troubleCode.setProcessingState(0);
//                                                                                                            break;
//                                                                                                        default:
//                                                                                                            switch (msgData.getMcuStatus()) {
//                                                                                                                case 0:
//                                                                                                                    troubleCode.setTroublePosition("201");
//                                                                                                                    troubleCode.setProcessingState(0);
//                                                                                                                    break;
//                                                                                                                default:
//                                                                                                                    switch (msgData.getHeatingStatus()) {
//                                                                                                                        case 0:
//                                                                                                                            troubleCode.setTroublePosition("202");
//                                                                                                                            troubleCode.setProcessingState(0);
//                                                                                                                            break;
//                                                                                                                        default:
//                                                                                                                            switch (msgData.getBatteryStatus()) {
//                                                                                                                                case 0:
//                                                                                                                                    troubleCode.setTroublePosition("203");
//                                                                                                                                    troubleCode.setProcessingState(0);
//                                                                                                                                    break;
//                                                                                                                                default:
//                                                                                                                                    switch (msgData.getBatteryInsulationStatus()) {
//                                                                                                                                        case 0:
//                                                                                                                                            troubleCode.setTroublePosition("204");
//                                                                                                                                            troubleCode.setProcessingState(0);
//                                                                                                                                            break;
//                                                                                                                                        default:
//                                                                                                                                            switch (msgData.getDcdcStatus()) {
//                                                                                                                                                case 0:
//                                                                                                                                                    troubleCode.setTroublePosition("205");
//                                                                                                                                                    troubleCode.setProcessingState(0);
//                                                                                                                                                    break;
//                                                                                                                                                default:
//                                                                                                                                                    switch (msgData.getChgStatus()) {
//                                                                                                                                                        case 0:
//                                                                                                                                                            troubleCode.setTroublePosition("206");
//                                                                                                                                                            troubleCode.setProcessingState(0);
//                                                                                                                                                            break;
//                                                                                                                                                        default:
//                                                                                                                                                            // do nothing
//                                                                                                                                                            break;
//                                                                                                                                                    }
//                                                                                                                                                    break;
//                                                                                                                                            }
//                                                                                                                                            break;
//                                                                                                                                    }
//                                                                                                                                    break;
//                                                                                                                            }
//                                                                                                                            break;
//                                                                                                                    }
//                                                                                                                    break;
//                                                                                                            }
//                                                                                                            break;
//                                                                                                    }
//                                                                                                    break;
//                                                                                            }
//                                                                                            break;
//                                                                                    }
//                                                                                    break;
//                                                                            }
//                                                                            break;
//                                                                    }
//                                                                    break;
//                                                            }
//                                                            break;
//                                                    }
//                                                    break;
//                                            }
//                                            break;
//                                    }
//                                    break;
//                            }
//                            break;
//                    }
//                    remoteTroubleService.newFaultData(troubleCode);
//                });
//            }
//            long end = System.currentTimeMillis();
//            log.info("日志队列：{}，接收到的消息：{}，消费完成，耗时：{}毫秒","couplet-code-queue", JSONObject.toJSONString(msgData), (end-start));
//        } catch (Exception e) {
//            throw new RuntimeException(e);
//        }
//    }
//}
